@font-face {
  font-family: 'omica';
  src: url(/fonts/omica.otf);
  font-display: swap;
}
:root{
  --primary-color: #bc3908;
  --black-color:#000;
  --white-color:#fff;
  --glassBg-color:#ffffff1a;

  /* fonts */

  --primary-font: 'omica', monospace;
  --secondary-font: monospace;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* scroll-behavior: smooth; */
}

html {
  font-family: var(--primary-font);
}

body {
  background: var(--black-color);
}

/* ------------------------------------------------ Navbar ----------------------------------------------------------- */
li {
  list-style: none;
}

a {
  text-decoration: none;
  color: var(--white-color);
}

.callBtn{
    position: absolute;
    bottom: 2.5rem;
    right: 2.5rem;
    background-color: #008000;
    border-radius: 2rem;
    padding: 1rem;
    cursor: pointer;
    z-index: 999;
}

.callBtn:hover{
    background-color: #006000;
}

.container {
  display: flex;
  width: 99.5vw;
  height: 100vh;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
  background-color: var(--black-color);
}

header {
  display: flex;
  /* align-items: center; */
  justify-content: space-between;
  flex-direction: column;
  padding: 0.5rem;
  background: var(--glassBg-color);
  position: fixed;
  top: 0px;
  z-index: 200;
  width: 25vw;
  height: 8vh;
  border-radius: 0.6rem;
  margin-top: 2rem;
  border: 1px solid #ffffff33;
  box-shadow: 0 20px 40px #0000001a, inset 0 1px 0 #ffffff33;
  backdrop-filter: blur(20px);
  transition: top 0.5s ease-in-out;
}
header::before {
  content: "";
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    90deg,
    transparent,
    var(--glassBg-color),
    transparent
  );
  transition: left 0.8s ease;
}

.hamDiv {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: -webkit-fill-available;
}

.hamDiv img {
  width: 3rem;
  height: 3rem;
}

.hamburger {
  background-color: #00000000;
  border: none;
}

.hamburger:hover {
  cursor: pointer;
  /* background-color: #bc3908; */
}

/* APPLYING MEDIA QUERIES */
@media (max-width: 768px) {
  .hamburger {
    display: flex;
    /* padding: 1rem 1rem 0 0; */
  }
}


.hamWrapper {
  display: flex;
  position: relative;
  flex-direction: column;
  justify-content: center;
  transition: all 300ms linear;
}

.hamLine {
  width: 40px;
  height: 3px;
  background: var(--white-color);
  transition: all 500ms linear;
  /* transform: translateY(0px); */
}

.hamLine:nth-child(3) {
  margin-bottom: 0px;
}

.hamLine1 {
  width: 25px;
}
.hamLine2 {
  margin-top: 0.5rem;
}
.hamLine3 {
  width: 20px;
  margin-top: 0.5rem;
  margin-left: 20px;
  /* transform: translate(20px, 20px) rotate(0deg); */
}

/* Hamburger animation */
.hamburger.active span:nth-child(1) {
  transform: rotate(45deg) translate(0.95rem, -0.01rem);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  width: 25px;
  transform: rotate(-45deg) translate(0.1rem, -0.9rem);
}

.navAnim {
  width: 50vw;
  height: 60vh;
  transition: width 0.7s ease, height 0.7s ease 0.3s;
}
.navAnimExit {
  width: 25vw;
  height: 8vh;
  transition: height 0.7s ease, width 0.7s ease 0.7s;
}

/* Nav */
.nav {
  /* background: #222; */
  /* width: 200px; */
  display: none;
  flex-direction: column;
  gap: 0.5rem;
  z-index: 1;
}

.nav a {
  background-color: var(--primary-color);
  color: white;
  text-decoration: none;
  padding: 15px;
  border-bottom: 1px solid #333;
  width: 15vw;
  height: 10rem;
  border-radius: 1rem;
  border: 2px solid #ffffff33;
  /* z-index: 1; */
}
.nav a:first-child {
  anchor-name: --menuItem-anchor;
}
.nav a:nth-child(2) {
  anchor-name: --menuItem-anchor2;
}
.nav div {
  display: flex;
  gap: 0.5rem;
}

.nav a:hover {
  background-color: #333;
  font-size: 3rem;
  transition: font-size 0.2s ease, background-color .5s ease;
}

.nav a:hover .home-icon,
.nav a:hover .about-icon,
.nav a:hover .project-icon,
.nav a:hover .resume-icon {
  color: #ffffff1a;
}

/* Active states */
.nav.active {
  display: flex;
  transition: display 0.5s ease 1s;
}

.home-icon,
.about-icon,
.project-icon,
.resume-icon {
  position: absolute;
  font-size: 6rem;
  color: #0000001a;
}

.home-icon {
  position-anchor: --menuItem-anchor;
  bottom: calc(anchor(top) + 0.6rem);
  right: anchor(right);
}
.about-icon {
  position-anchor: --menuItem-anchor;
  bottom: calc(anchor(bottom) + 0.5rem);
  right: calc(anchor(right) + 0.5rem);
  font-size: 5rem;
}
.project-icon {
  position-anchor: --menuItem-anchor2;
  bottom: calc(anchor(top) + 0.5rem);
  right: calc(anchor(right) + 0.5rem);
  font-size: 5rem;
}
.resume-icon {
  position-anchor: --menuItem-anchor2;
  bottom: calc(anchor(bottom) + 0.5rem);
  right: calc(anchor(right) + 0.5rem);
  font-size: 5rem;
}

@supports not (anchor-name: --menuItem-anchor) {
  .home-icon {
    /* position: absolute; */
    font-size: 7rem;
    color: #0000001a;
    margin: 10% 0 0 60%;
  }
}

@media ((min-width: 275px) and (max-width: 600px)) {
    .callBtn{
    position: absolute;
    bottom: 2.5rem;
    right: .5rem;
}
  .header {
    width: 90vw;
    /* height: 10vh; */
  }

  .nav a{
    width: 42vw;
  }

  .hamDiv{
    transform: translateY(.4rem);
  }
  .hamDiv img {
  width: 2rem;
  height: 2rem;
  /* transform: translate(1rem, 1rem); */
}



.hamLine {
  width: 30px;
  height: 3px;
  background: var(--white-color);
  transition: all 500ms linear;
  /* transform: translateY(0px); */
}

.hamLine:nth-child(3) {
  margin-bottom: 0px;
}

.hamLine1 {
  width: 15px;
}
.hamLine2 {
  margin-top: 0.3rem;
}
.hamLine3 {
  width: 10px;
  margin-top: 0.3rem;
  margin-left: 20px;
  /* transform: translate(20px, 20px) rotate(0deg); */
}

/* Hamburger animation */
.hamburger.active span:nth-child(1) {
  width: 25px;
  transform: rotate(45deg) translate(1.45rem, -0.21rem);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  width: 25px;
  transform: rotate(-45deg) translate(0.05rem, -0.1rem);
}
}


/* ---------- Home Page ----------------- */

.landingSection {
  display: flex;
  flex-direction: row;
  width: 99.5vw;
  align-items: center;
  justify-content: space-evenly;
  z-index: 1;
  padding-top: 7rem;
}

.heading {
  display: flex;
  flex-direction: column;
  position: absolute;
    translate: 36rem 11rem;

  & a {
    background-color: var(--primary-color);
    width: 15rem;
    padding: 0.5em;
    padding-top: 1rem;
    text-align: center;
    border-radius: 0.5em;
    font-size: 1.7rem;
    margin-top: 1rem;
  }

  & a:hover {
    background-color: #8f2c08;
    /* cursor: url(../images/nvCursor.png), auto; */
  }
}
.landingSection img{
  width: 33rem;
  height: 50rem;
  filter: drop-shadow(-1rem -1rem 1rem black);
  translate: -10rem;
}
.landingSection h1 {
  position: absolute;
  color: white;
  font-size: 3rem;
  margin-top: 5rem;
  text-align: center;
  translate: 0rem -23rem;
  /* animation: homeContentBtnAnim 3s ease-in; */
}

.heading h2 {
  color: var(--white-color);
  text-align: justify;
  font-size: 1.2rem;
  font-family: var(--secondary-font);
  font-weight: 500;
}

.webText, .developerText, .webText1, .developerText1, .webTextBraces{
  position: absolute;
  color: var(--white-color);
  font-size: 20rem;
  filter: drop-shadow(-.1rem -.1rem .2rem var(--primary-color))
}
.webText, .webText1, .webTextBraces{
  z-index: -1;
  translate: -24rem -10rem;
}
.webText:hover{
  color: var(--primary-color);
}
.webText1{
  z-index: 1;
  opacity: 0;
}
.webTextBraces{
  translate: 30rem -10rem;
  color: #ffffff1c;
  filter: none;
  font-size: 45rem;
}
.webText1:hover{
  color: #bc380844;
  opacity: 1;
  -webkit-text-stroke: .15rem var(--primary-color);
  filter: blur(1px);
}
.developerText, .developerText1{
  translate: -10rem 10rem;
}

.arrowBtn{
  width: 4rem !important;
  font-size: 3rem !important;
  padding: 0 0 0 0 !important;

  & span{
    position: absolute;
    translate: -1rem -.5rem;
  }
}
.doubleBtn a:first-child:hover ~ .arrowBtn{
  background-color: #8f2c08;
}

.doubleBtn{
  display: flex;
}

/* ----------------------------- Skills ------------------------------- */

.skills {
  display: flex;
  width: 99.5vw;
  flex-direction: column;
  align-items: center;
  margin-bottom: 10rem;
}

.skills h1 {
  color: white;
  font-size: 2rem;
  margin-top: 8rem;
  margin-bottom: 4rem;
}

.skl-img {
  display: grid;
  grid-template-columns: auto auto auto auto auto auto;
  padding: 2rem 0rem;
  border-radius: 1rem;
  width: 95.5vw;
  mask-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0),
    rgba(0, 0, 0, 1) 20%,
    rgba(0, 0, 0, 1) 80%,
    rgba(0, 0, 0, 0)
  );

}

.img-skills {
  height: 10rem;
  padding: 2rem 4rem;
  border-radius: 1rem;
  margin: 0 2rem;
  backdrop-filter: blur(20px);
  filter: grayscale(100);
}
/* =============================================================================== */

.section {
  overflow: hidden;
}

/* .wrapper {
  height: 99vh;
} */

.item_content h2 {
  font-size: 4rem;
  line-height: 2rem;
}

.list {
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  /* height: 8000px; */
  display: flex;
  position: relative;
  padding: 0.2rem;
}

.item {
  width: 99.5vw;
  height: 100vh;
  display: flex;
  position: relative;
  inset: 0%;
  /* box-shadow: rgb(149, 157, 165, 0.2) 0px 8px 24px; */
  overflow: hidden;
  background-color: #2d2d2d69;
  backdrop-filter: blur(60px);
  border: 2px solid #ffffff33;
}

.item_number {
  font-size: 1.5rem !important;
  height: 3rem;
  width: 3rem;
  margin-bottom: 0.5rem;
  border-radius: 50%;
  background-color: var(--primary-color);
  color: var(--white-color);
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 400;
  position: absolute;
  top: 6rem;
  left: 3rem;
}

.item_content {
  /* background-color: #ffffff1a; */
  color: var(--white-color);
  flex-flow: column;
  justify-content: center;
  align-items: flex-start;
  padding: 3rem;
  display: flex;
  position: relative;
  width: 50%;
  /* backdrop-filter: blur(20px); */

  & a {
    background-color: var(--primary-color);
    width: 15rem;
    padding: 0.5em;
    text-align: center;
    border-radius: 0.5em;
    font-size: 1.7rem;
    margin-top: 1em;
  }
}

.project_img_div {
  overflow-y: scroll;
  width: 50%;
  object-fit: cover;
  scrollbar-width: none;
  margin: 1rem;
}

/* .project_img_div_1 {
  display: none;
} */

.item_media {
  width: 100%;
}

.item_p {
  text-align: justify;
  margin-top: 2rem;
  font-size: 1.5rem;
  font-weight: 100;
  color: var(--white-color);
  font-family: var(--secondary-font);
}






@media (max-width: 575.98px) {
  /* .wrapper {
    height: 80vh;
  } */
  .heading {
    font-size: 2.5rem;
  }

  .item {
    display: flex;
    flex-direction: column-reverse;
    justify-content:space-between;
    scale: none !important;
  }
  .project_img_div {
    /* display: none; */
    width: 100%;
    margin: 0;
  }
/* 
  .project_img_div_1 {
    display: flex;
  } */

  .item_content {
    height: 71vh;
    width: 100%;
  }

  .item_media {
    width: 100%;
    padding-top: 0;
    padding-bottom: 0;
  }
  .item_content h2{
    line-height: 4rem;
  }

  .item_number {
    font-size: 0.5rem;
    top: 1.5rem;
  }
  .item_p{
    font-size: 1rem;
  }
}

/* Form */
.formSection {
  display: flex;
  width: 99.5vw;
  justify-content: center;
}
form {
  display: flex;
  flex-direction: column;
  width: 25vw;
  align-items: center;
  padding: 2rem;
  padding-bottom: 0rem;
  border-radius: 1rem;
  margin-top: 5rem;
  margin-bottom: 10rem;
  /* filter: drop-shadow(#f8a8b596 0rem 0rem 0.5rem); */
    background: var(--glassBg-color);
      border: 1px solid #ffffff33;
  box-shadow: 0 20px 40px #0000001a,
    inset 0 1px 0 #ffffff33;
  backdrop-filter: blur(20px);


  & input {
    padding: 1rem;
    border-radius: 0.5rem;
    width: 100%;
    margin-bottom: 2rem;
    font-family: var(--secondary-font);
  }

  & .subBtn {
    color: white;
    font-family: var(--secondary-font);
    background-color: var(--primary-color);
    cursor: pointer;
  }

  & .subBtn:hover {
    background-color: #8f2c08;
  }
}

/* marquee */

.mk-marquee {
  --mk-marquee-gap: 30px;
  --mk-marquee-bg-color: var(--white-color);
  --mk-marquee-text-color: var(--black-color);
  --mk-marquee-font-size: 16px;
  --mk-marquee-speed: 10s;
  --mk-marquee-height: 50px;
  /* position: fixed; */
  left: 0;
  width: 100%;
  overflow: hidden;
  user-select: none;
  background-color: var(--mk-marquee-bg-color);
  height: var(--mk-marquee-height);
  z-index: 1000;
  display: flex;
  align-items: center;
  transform: rotate(3deg);
}

.mk-marquee__wrapper {
  display: flex;
  width: max-content;
  animation: mk-marquee-scroll var(--mk-marquee-speed) linear infinite;
}

.mk-marquee__content {
  display: flex;
  align-items: center;
  gap: var(--mk-marquee-gap);
  list-style: none;
  font-size: var(--mk-marquee-font-size);
  white-space: nowrap;
  flex-shrink: 0;
  margin: 0;
}

.mk-marquee__content li,
.mk-marquee__content li * {
  word-spacing: 4px;
  color: var(--mk-marquee-text-color);
}

.mk-marquee__content a {
  text-decoration: none;
  transition: opacity 0.3s ease-in;
}

.mk-marquee__content a:hover {
  color: inherit;
  opacity: 0.8;
}

@keyframes mk-marquee-scroll {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-50%);
  }
}

.mk-marquee--pause-on-hover:hover .mk-marquee__wrapper {
  animation-play-state: paused;
}

.mk-marquee__wrapper {
  display: flex;
  width: max-content;
  animation: mk-marquee-scroll var(--mk-marquee-speed) linear infinite;
}

.mk-marquee__content {
  display: flex;
  align-items: center;
  gap: var(--mk-marquee-gap);
  list-style: none;
  font-size: var(--mk-marquee-font-size);
  white-space: nowrap;
  flex-shrink: 0;
}

.mk-marquee__content a {
  color: var(--mk-marquee-text-color);
  text-decoration: none;
  transition: opacity 0.3s ease-in;
}

.mk-marquee__content a:hover {
  opacity: 0.8;
}

@keyframes mk-marquee-scroll {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-50%);
  }
}

.mk-marquee--pause-on-hover:hover .mk-marquee__wrapper {
  animation-play-state: paused;
}

/* ----------------------- About Page ------------------------------- */

footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 2rem;
}

.about-main {
  display: flex;
  width: 95vw;
  padding: 4rem;
  align-items: center;
  justify-content: space-around;
  border-radius: 5rem;
  margin-bottom: 2rem;
    background: var(--glassBg-color);
      border: 1px solid #ffffff33;
  box-shadow: 0 20px 40px #0000001a,
    inset 0 1px 0 #ffffff33;
  backdrop-filter: blur(20px);

  & a{
      font-size: 2rem;
  background-color: var(--primary-color);
  padding: 1rem 3rem;
  border-radius: 2rem;
  }
}

.details {
  font-size: 3rem;
  font-weight: 10;
  color: var(--white-color);
}

.copyright {
  color: white;
  text-align: center;

  & a {
    color: var(--primary-color);
    text-decoration: underline;
  }
}
.neetFooterText{
  color: white;
  font-size: 35rem;
  line-height: 28rem;
}



/* =============================================================================== */
/* ==================================== Laptop =================================== */
/* =============================================================================== */

@media (max-width: 1600px){
.landingSection {
  padding-top: 12rem;
}

.landingSection img{
  width: 23.5rem;
  height: 35rem;
  translate: -18rem -3rem;
}
.landingSection h1 {
  font-size: 2rem;
}

.heading h2 {
  font-size: 1.1rem;
}

.webText, .developerText, .webText1, .developerText1, .webTextBraces{
  font-size: 15rem;
}
.webText, .webText1, .webTextBraces{
  translate: -24rem -12rem;
}

.webTextBraces{
  translate: 25rem -10rem;
  font-size: 32rem;
}
.developerText{
  translate: -10rem 5rem;
}
.developerText1{
  translate: -10rem 5rem;
}

.heading {
    translate: 29rem 4.5rem;
  & a {
    width: 12rem;
    padding: 0.4em;
    padding-top: .8rem;
    border-radius: 0.5em;
    font-size: 1.5rem;
    margin-top: 2.5rem;
  }
}
.arrowBtn{
  font-size: 2.5rem !important;
  & span{
    translate: -.8rem -.5rem;
  }
}

.neetFooterText{
  font-size: 27rem;
  line-height: 20rem;
}
}


/* =============================================================================== */
/* ==================================== Mobile =================================== */
/* =============================================================================== */

@media (max-width: 460px) and (min-width: 350px) {
  .heading {
    display: flex;
    flex-direction: column;
    padding-top: 10vh;
    margin-left: 2rem;
    align-items: center;

    & a {
      background-color: #3d4be6;
      width: 15rem;
      padding: 0.5em;
      text-align: center;
      border-radius: 0.5em;
      font-size: 1.7rem;
      margin-top: 1em;
    }

    & a:hover {
      background-color: #f8a8b5;
      /* cursor: url(../images/nvCursor.png), auto; */
      color: #2b2b2b;
    }
  }
  

  .heading h1 {
    color: white;
    font-size: 4rem;
    margin-top: 5rem;
    text-align: center;
    animation: homeContentBtnAnim 3s ease-in;
  }

  .heading h2 {
    color: var(--white-color);
    text-align: center;
    font-size: 1.5rem;
  }
  footer {
    display: flex;
    flex-direction: column;
    /* background-color: #202020 ; */
    /* background-image: url(../images/navBg.jpg); */
    border-top-left-radius: 5rem;
    border-top-right-radius: 5rem;
    padding-top: 2rem;
    /* margin-top: 260rem; */
  }

  form {
    width: 80vw;
    align-items: center;
    padding: 2rem;
    padding-bottom: 0rem;
    border-radius: 1rem;
    margin-top: 5rem;
    margin-bottom: 10rem;
    filter: drop-shadow(#f8a8b596 0rem 0rem 0.5rem);

    & input {
      padding: 1rem;
      border-radius: 0.5rem;
      width: 100%;
      margin-bottom: 2rem;
    }

    & .subBtn {
      background-color: #f8a8b5;
      cursor: pointer;
    }

    & .subBtn:hover {
      background-color: #ec7d91;
    }
  }

  .about-main .details{
      font-size: 1.5rem;
    }
}

@media (max-width: 432px) and (min-width: 360px){
  .webText, .webText1, .developerText, .developerText1{
    font-size: 5rem;
  }
  .webText, .webText1{
    translate: 0rem;
    font-size: 7rem;
    translate: -7rem -13rem;
  }
  .developerText, .developerText1{
    font-size: 7rem;
    translate: 0 -5rem;
  }
  .webTextBraces{
    translate: 7rem -12rem;
    font-size: 7rem;
  }

  .landingSection img{
    width: 15.5rem;
    height: 25rem;
    translate: 0 -7rem;
  }
  nav{
    width: 90vw !important;
  }
    nav img{
    width: 2rem;
    height: 2rem;
    margin: 0;
  }
  .heading{
    z-index: 2;
    translate: -1.3rem 8rem;
    padding: 0;
    margin: 0;
    align-items: normal;

    & h2{
      font-size: 1rem;
      text-align: left;
    }
    
  }
  .doubleBtn a{
    background-color: var(--primary-color);
    margin-top: 2rem;
  }

  .arrowBtn{
    background-color: var(--primary-color);
    & span{
      translate: -1rem 0rem;
    }
  }

  nav{
    align-items: center;
  }

  footer{
    border-radius: 1rem;
  }
   .about-main{
    flex-direction: column;
    border-radius: 1rem;
    gap: 2rem;
    padding: 2rem 4rem;
     & .details{
       font-size: 2rem;
      }

    & a{
      font-size: 1.5rem;
      border-radius: .5rem;
    }
    } 

    .neetFooterText{
      font-size: 7rem;
      line-height: 10rem;
    }
}



/* ----------------------- Custom Scrollbar ------------------------------- */

/* width */
::-webkit-scrollbar {
  width: 0.5rem;
  height: 0.5rem;
}

/* Track */
::-webkit-scrollbar-track {
  background: #141414;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}

/* ----------------------- Keyframes ------------------------------- */

@keyframes homeContentAnim {
  from {
    transform: translateX(-50rem);
  }
}

@keyframes homeContentBtnAnim {
  0% {
    visibility: hidden;
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes homeSvgAnim {
  from {
    transform: translateX(50rem);
  }
}

@keyframes testWorkAnim {
  0% {
    transform: translateX(-300rem);
    font-style: italic;
  }

  90% {
    transform: translateX(10rem);
    font-style: italic;
  }
}

/* footer{
  position: absolute;
  background: #ffffff1a;
      border: 1px solid #ffffff33;
  box-shadow: 0 20px 40px #0000001a,
    inset 0 1px 0 #ffffff33;
  backdrop-filter: blur(20px);
}

video{
  position: absolute;
  z-index: -10;
} */
